com.trendmicro.ds.antimalware.rest.object

## Class ListWebReputationEventsResponse

- java.lang.Object
- - com.trendmicro.ds.antimalware.rest.object.ListWebReputationEventsResponse

-     public class ListWebReputationEventsResponse
      extends java.lang.Object

  Response object for the ListWebReputationEvents API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListWebReputationEventsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<WebReputationEvent>` | `getEvents()` Get the list of events.
    `java.lang.Long` | `getLastEventID()` Get the last event ID.
    `boolean` | `getMoreEvents()` Get the indicator that there are more events available.
    `void` | `setEvents(java.util.List<WebReputationEvent> events)` Set the list of events.
    `void` | `setLastEventID(java.lang.Long lastEventID)` Set the last event ID.
    `void` | `setMoreEvents(boolean moreEvents)` Set the indicator that there are more events available.
    `ListWebReputationEventsResponse` | `withEvents(java.util.List<WebReputationEvent> events)` Set the list of events.
    `ListWebReputationEventsResponse` | `withLastEventID(java.lang.Long lastEventID)` Set the last event ID.
    `ListWebReputationEventsResponse` | `withMoreEvents(boolean moreEvents)` Set the indicator that there are more events available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListWebReputationEventsResponse

          public ListWebReputationEventsResponse()

  - ### Method Detail

    - #### getLastEventID

          public java.lang.Long getLastEventID()

      Get the last event ID.

      This will be `0` if no events are retrieved.

      Returns:
        the last event ID.

    - #### setLastEventID

          public void setLastEventID(java.lang.Long lastEventID)

      Set the last event ID.
      Parameters:
        `lastEventID` - the last event ID.

    - #### withLastEventID

          public ListWebReputationEventsResponse withLastEventID(java.lang.Long lastEventID)

      Set the last event ID.
      Parameters:
        `lastEventID` - the last event ID.
      Returns:
        the updated ListWebReputationEventsResponse object.

    - #### getEvents

          public java.util.List<WebReputationEvent> getEvents()

      Get the list of events.
      Returns:
        the list of events.

    - #### setEvents

          public void setEvents(java.util.List<WebReputationEvent> events)

      Set the list of events.
      Parameters:
        `events` - the list of events.

    - #### withEvents

          public ListWebReputationEventsResponse withEvents(java.util.List<WebReputationEvent> events)

      Set the list of events.
      Parameters:
        `events` - the list of events.
      Returns:
        the updated ListWebReputationEventsResponse object.

    - #### getMoreEvents

          public boolean getMoreEvents()

      Get the indicator that there are more events available.
      Returns:
        the indicator that there are more events available.

    - #### setMoreEvents

          public void setMoreEvents(boolean moreEvents)

      Set the indicator that there are more events available.
      Parameters:
        `moreEvents` - the indicator that there are more events available.

    - #### withMoreEvents

          public ListWebReputationEventsResponse withMoreEvents(boolean moreEvents)

      Set the indicator that there are more events available.
      Parameters:
        `moreEvents` - the indicator that there are more events available.
      Returns:
        the updated ListWebReputationEventsResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.